Package twisted :: Package internet :: Module gtk2reactor

[show private | hide private]
[frames | no frames]

## Module twisted.internet.gtk2reactor

This module provides support for Twisted to interact with the PyGTK2 mainloop.

In order to use this support, simply do the following:

       |  from twisted.internet import gtk2reactor
       |  gtk2reactor.install()

Then use twisted.internet APIs as usual. The other methods here are not intended to be called directly.

API Stability: stable

Maintainer: Itamar Shtull-Trauring<mailto:twisted@itamarst.org>

Function Summary
| ``install`()` Configure the twisted mainloop to be run inside the gtk mainloop.

Variable Summary
`builtin_function_or_method` | `has_key`
`builtin_function_or_method` | `has_key`

Function Details

### install()

Configure the twisted mainloop to be run inside the gtk mainloop.

Variable Details

### has_key

`has_key` = `__builtin__.dict.has_key`

  Type:
    `builtin_function_or_method`
  Value:

        <built-in method has_key of dict object at 0x81faa04>

### has_key

`has_key` = `__builtin__.dict.has_key`

  Type:
    `builtin_function_or_method`
  Value:

        <built-in method has_key of dict object at 0x81fa974>

Generated by Epydoc 1.1 on Thu May 8 13:16:27 2003 | http://epydoc.sf.net